cURL
curl --request GET \
--url https://api.abusix.com/beta/guardian-ops/events/{eventId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.abusix.com/beta/guardian-ops/events/{eventId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.abusix.com/beta/guardian-ops/events/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"create_date": "2023-11-07T05:31:56Z",
"event_date": "2023-11-07T05:31:56Z",
"event_id": "<string>",
"event_type": "<string>",
"sender_email": "[email protected]",
"case_id": "<string>",
"contract_id": "<string>",
"customer_id": "<string>",
"domain": "<string>",
"event_details": {},
"event_subtypes": [
"<string>"
],
"ip": "<string>",
"recipient_email": "[email protected]",
"resolved": true,
"tags": [
"<string>"
],
"tenant_id": "<string>",
"xarf_class": "<string>"
}This response has no body data.This response has no body data.This response has no body data.Events
Get event
GET
/
beta
/
guardian-ops
/
events
/
{eventId}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 response
Timestamp when the event was created
Timestamp of the event
Unique event identifier (UUID)
Type of event
Email of the report sender
Associated case identifier
Contract identifier
Customer identifier
Domain associated with the event
Additional event details
Event subtypes
IP address associated with the event
Email of the recipient
Whether the event has been resolved
Event tags
Tenant identifier
XARF classification